//MITEM002.C
CheckFile:

printf("\nПожалуйста, введите имя файла для открытия: ");
cin >> FileName;
if (cin.eof()||cin.fail())
	{
	cin.clear();
	cin.ignore();
	}
if (!file_exists(FileName))
{
	printf("\n\nФайл не существует. Вы хотите создать новый? (Y/N) ");
	presskey2=0;
	while((presskey2!='y')&&(presskey2!='Y')&&
	(presskey2!='n')&&(presskey!='N'))
		{
		presskey2=getch();
		}
	
	switch(presskey2)
	{
	case 'Y':case 'y':
		crat(0, FileName);
		break;
	case 'N':case 'n':
		goto CheckFile;
	}
}
printf("\n\nФайл успешно открыт!");
delay(500);